let buildDockerImage = (() => {
    var _ref = _asyncToGenerator(function* (config, doStep) {
        let docker;

        // Option to build feature-pack for service.
        if (config.service) {
            docker = yield doStep('creating a docker image', function () {
                return buildDockerService(config.dir, config.projectDir, config.appName, config.version, config.organization, config.https_proxy);
            });
        } else {
            docker = yield doStep('creating a docker image', function () {
                return buildDockerApp(config.dir, config.projectDir, config.appName, config.version, config.organization, config.https_proxy);
            });
        }

        return {
            docker: docker
        };
    });

    return function buildDockerImage(_x, _x2) {
        return _ref.apply(this, arguments);
    };
})();

function _asyncToGenerator(fn) { return function () { var gen = fn.apply(this, arguments); return new Promise(function (resolve, reject) { function step(key, arg) { try { var info = gen[key](arg); var value = info.value; } catch (error) { reject(error); return; } if (info.done) { resolve(value); } else { return Promise.resolve(value).then(function (value) { step("next", value); }, function (err) { step("throw", err); }); } } return step("next"); }); }; }

const buildDockerApp = require('../../buildDockerImage/index');
const buildDockerService = require('../../buildDockerServiceImage/index');

module.exports = buildDockerImage;